Skip to main content
GET
/
v2
/
deposits
/
{depositId}
Check deposit status
curl --request GET \
  --url https://api.sandbox.pawapay.io/v2/deposits/{depositId} \
  --header 'Authorization: Bearer <token>'
{
  "status": "FOUND",
  "data": {
    "depositId": "8917c345-4791-4285-a416-62f24b6982db",
    "status": "COMPLETED",
    "amount": "123.00",
    "currency": "ZMW",
    "country": "ZMB",
    "payer": {
      "type": "MMO",
      "accountDetails": {
        "phoneNUmber": "260763456789",
        "provider": "MTN_MOMO_ZMB"
      }
    },
    "customerMessage": "To ACME company",
    "clientReferenceId": "REF-987654321",
    "created": "2020-10-19T08:17:01Z",
    "providerTransactionId": "12356789",
    "metadata": {
      "orderId": "ORD-123456789",
      "customerId": "customer@email.com"
    }
  }
}
Get the current status of a deposit based on its depositId.

Authorizations

Authorization
string
header
required

Path Parameters

depositId
string<uuid>
required

The id of the deposit that you are performing this operation on.

Required string length: 36

Response

Request has been processed by pawaPay

status
enum<string>
required

The result of this operation.

  • FOUND - The payment was found in pawaPay.
  • NOT_FOUND - The payment was not found in pawaPay.
Available options:
FOUND,
NOT_FOUND
data
object